احصل على خصم 30% على طلب حزمة الأعمال هنا اضغط هنا
قم بتثبيت تطبيقنا 🪄 انقر على أيقونة في الزاوية العلوية اليمنى من شريط العنوان.

نبضات القلب

GET https://uptimer24.com/api/heartbeats/
curl --request GET \
--url 'https://uptimer24.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
search اختياري سلسلة سلسلة البحث.
search_by اختياري سلسلة ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: name.
is_enabled اختياري منطقي
project_id اختياري عدد صحيح
datetime_field اختياري سلسلة القيم المسموح بها: datetime, last_datetime, last_run_datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة ما هو الحقل الذي يجب ترتيب النتائج بناءً عليه. القيم المسموح بها هي: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي هو 1.
results_per_page اختياري عدد صحيح كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الافتراضي هو 25.
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Demo cron",
            "code": "12345678901112131415",
            "settings": {
                "run_interval": 1,
                "run_interval_type": "minutes",
                "run_interval_grace": 1,
                "run_interval_grace_type": "seconds"
            },
            "is_ok": 1,
            "uptime": 75.5,
            "downtime": 24.5,
            "total_runs": 50,
            "total_missed_runs": 15,
            "last_run_datetime": "2021-03-30 19:17:22",
            "notifications": {
                "email_is_enabled": 0,
                "webhook": "",
                "slack": "",
                "twilio": ""
            },
            "is_enabled": true,
            "datetime": "2026-07-19 04:04:57",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/heartbeats?page=1",
        "last": "https://uptimer24.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/heartbeats?page=1"
    }
}
GET https://uptimer24.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Demo cron",
        "code": "12345678901112131415",
        "settings": {
            "run_interval": 1,
            "run_interval_type": "minutes",
            "run_interval_grace": 1,
            "run_interval_grace_type": "seconds"
        },
        "is_ok": 1,
        "uptime": 75.5,
        "downtime": 24.5,
        "total_runs": 50,
        "total_missed_runs": 15,
        "last_run_datetime": "2021-03-30 19:17:22",
        "notifications": {
            "email_is_enabled": 0,
            "webhook": "",
            "slack": "",
            "twilio": ""
        },
        "is_enabled": true,
        "datetime": "2026-07-19 04:04:57",
    }
}
POST https://uptimer24.com/api/heartbeats
المعلمات تفاصيل الوصف
name مطلوب سلسلة -
run_interval اختياري عدد صحيح -
run_interval_type اختياري سلسلة القيم المسموح بها: seconds, minutes, hours, days
run_interval_grace اختياري عدد صحيح -
run_interval_grace_type اختياري سلسلة القيم المسموح بها: seconds, minutes, hours, days
is_ok_notifications اختياري مصفوفة معرفات معالجات الإشعارات
is_enabled اختياري منطقي -
curl --request POST \
--url 'https://uptimer24.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/heartbeats/{heartbeat_id}
المعلمات تفاصيل الوصف
name اختياري سلسلة -
run_interval اختياري عدد صحيح -
run_interval_type اختياري سلسلة القيم المسموح بها: seconds, minutes, hours, days
run_interval_grace اختياري عدد صحيح -
run_interval_grace_type اختياري سلسلة القيم المسموح بها: seconds, minutes, hours, days
is_ok_notifications اختياري مصفوفة معرفات معالجات الإشعارات
is_enabled اختياري منطقي -
curl --request POST \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \